/*----------------------------------------------------------------------

Copyright (c) 1998,1999 Gipsysoft. All Rights Reserved.

File:	stristr.cpp

Owner:	russf@gipsysoft.com

Web site: http://www.gipsysoft.com

Purpose:	Case insensitive test to see if a string is contained

					within another.

					It will fault if either of the strings are NULL.

----------------------------------------------------------------------*/

#include "stdafx.h"

char * stristr( char * pszSource, const char * pcszSearch )

//

//	Return a pointer to the start of the search string

//	If pszSource does not contain pcszSearch then returns NULL.

{

	const int nLength = strlen( pcszSearch );

	while( *pszSource )

	{

		if( !strnicmp( pszSource, pcszSearch, nLength ) )

			break;

		pszSource++;

	}



	if( !( *pszSource ) )

	{

		pszSource = NULL;

	}

	return pszSource;

}

